using Managing.Domain.MoneyManagements;
using Managing.Domain.Users;

namespace Managing.Application.Abstractions
{
    public interface IMoneyManagementService
    {
        Task<MoneyManagement> CreateOrUpdateMoneyManagement(User user, MoneyManagement request);
        Task<MoneyManagement> GetMoneyMangement(User user, string name);
        Task<MoneyManagement> GetMoneyMangement(string name);
        IEnumerable<MoneyManagement> GetMoneyMangements(User user);
        bool DeleteMoneyManagement(User user, string name);
        bool DeleteMoneyManagements(User user);
    }
}
